// import utilUC from './util_uc_all'
// 审核过后 状态为2 才能关闭订单
// 关闭订单(完结) 之后状态为6
const billUtil = {
  data() {
    return {
      bill_type: '',
      sendTxt: this.$tt('送审')
    }
  },
  computed: {},
  methods: {
    send_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/send_bills/`
      return this.$API.post(url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        })
    },
    un_send_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/un_send_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    },
    audit_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/audit_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    },
    un_audit_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/un_audit_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    },
    close_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/close_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    },
    un_close_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/un_close_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    },
    invalid_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/invalid_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    },
    valid_bills(bill_ids, bill_type = this.bill_type, operator_id = 0) {
      const url = `mesAPI/invalid_bills/`
      return this.$API.post(
        url,
        {},
        {},
        {
          bill_ids,
          bill_type,
          operator_id
        }
      )
    }
  }
}
export default billUtil
